/* scroll custom start */
/* Chrome, Edge and Safari */
.alhisab-noti-body::-webkit-scrollbar {
    height: 5px !important;
    width: 5px !important;
  }
  .alhisab-noti-body::-webkit-scrollbar-track {
    border-radius: 0px !important;
    background-color: #FFFFFF !important;
  }
  
  .alhisab-noti-body::-webkit-scrollbar-track:hover {
    background-color: #FFFFFF !important;
  }
  
  .alhisab-noti-body::-webkit-scrollbar-track:active {
    background-color: #FFFFFF !important;
  }
  
  .alhisab-noti-body::-webkit-scrollbar-thumb {
    border-radius: 0px !important;
    background-color: #656F7D !important;
  }
  
  .alhisab-noti-body::-webkit-scrollbar-thumb:hover {
    background-color: #656F7D !important;
  }
  
  .alhisab-noti-body::-webkit-scrollbar-thumb:active {
    background-color: #656F7D !important;
  }
  .alhisab-noti-body::-webkit-scrollbar-track {
    box-shadow: none !important;
    border-radius: 0px !important;
  }

/* scroll custom end */


.h-notification-wrapper .noti-icon-box a {
    font-size: 22px;
}
.h-notification-wrapper .noti-icon-box {
    position: relative;
}
.h-notification-wrapper .noti-icon-box .pulse-css {
  right: -8px;
  top: -5px;
  background: #58dc39;
  width: 0.9rem;
  height: 0.9rem;
}


/* From Uiverse.io by zanina-yassine */
/* Remove this container when use */
.noti-custom-tab .component-title {
    width: 100%;
    position: absolute;
    z-index: 999;
    top: 30px;
    left: 0;
    padding: 0;
    margin: 0;
    font-size: 1rem;
    font-weight: 700;
    color: #888;
    text-align: center;
  }
  
  .noti-custom-tab {
    position: relative;
  }
  
  .noti-custom-tab .tab-container {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    padding: 2px;
    background-color: #dadadb;
    border-radius: 9px;
  }
  
  .noti-custom-tab .indicator {
    content: "";
    width: 130px;
    height: 28px;
    background: #ffffff;
    position: absolute;
    top: 2px;
    left: 2px;
    z-index: 9;
    border: 0.5px solid rgba(0, 0, 0, 0.04);
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.12), 0px 3px 1px rgba(0, 0, 0, 0.04);
    border-radius: 7px;
    transition: all 0.2s ease-out;
  }
  
  .noti-custom-tab .tab {
    width: max-content;
    height: auto;
    position: absolute;
    z-index: 99;
    outline: none;
    opacity: 0;
  }
  
  .noti-custom-tab .tab_label {
    width: max-content;
    height: 30px;
    position: relative;
    z-index: 999;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 0;
    cursor: pointer;
    margin-bottom: 0;
    flex-basis: 32%;
    border-radius: 5px;
    padding: 4px 1px;
    font-size: 12px !important;
}
.noti-custom-tab .tab_label:hover {
    background: #f8f9fa;
}

  .noti-custom-tab .tab:checked + .tab_label {
    background-color: #007bff; /* Change to your desired color */
    color: #fff; /* Change text color for contrast */
  }

  
  /* Tab Content */
  .noti-custom-tab .tab-main-content {
    margin-top: 10px; /* Add some space between tabs and content */
  }
  
  .noti-custom-tab .tab-content-box {
    display: none;
    padding: 0;
    background-color: #ffffff;
    border-radius: 2px;
    margin-top: 10px;
    border-top: 1px solid #ddd;
    padding-top: 10px;
}
  
  .noti-custom-tab .tab-content-box.active {
    display: block; /* Show the active content */
  }
  
  



  .notification-dropdown-box {
    position: absolute;
    right: 0;
    top: 70px;
    display: none;
    overflow: hidden;
    max-height: 0;
    transition: max-height 0.4s ease-in-out;
    z-index: 1000;
    width: 400px;
    padding: 10px;
    border-radius: 10px;
    background: #fff;
    box-shadow: 0 10px 35px 0 rgba(50, 110, 189, .2);
}
  
  
  .notification-dropdown-box .noti-custom-tab {
    /* You can add any specific styles for the tab component here if needed */
  }
  


  .notification-dropdown-box .noti-custom-tab .tab-top-box {
    display: flex;
    gap: 0px;
    flex-wrap: wrap;
    justify-content: space-between;
}


.alhisab-noti-body {
    height: 260px;
    overflow: hidden;
    overflow-y: auto;
    padding-right: 10px;
}
.noti-img-box img {
    width: 35px;
    height: 35px;
    object-fit: cover;
    border-radius: 60%;
    padding: 2px;
    border: 1px solid #d1d1d1;
}



.al-noti-name-box h4 {
    margin-bottom: 0;
    font-size: 13.5px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    line-clamp: 1;
    -webkit-box-orient: vertical;
    word-break: break-word;
}
.al-noti-name-box p {
    margin-bottom: 0;
    font-size: 12px;
    line-height: 1.3;
    margin-top: 2px;
}

.al-noti-amount h4 {
    margin-bottom: 0;
    font-size: 11px;
    font-weight: 700;
    text-align: end;
    color: #1f2f3e;
}
.al-noti-img-wrap {
    flex-basis: 65%;
}
.noti-img-box {
    margin-right: 8px;
}

.al-noti-name-box {
    flex-basis: 75%;
}
.al-noti-amount {
    flex-basis: 35%;
}
.al-noti-amount h4 {
  margin-bottom: 0;
  font-size: 12px;
  font-weight: 700;
  text-align: end;
  color: #1f2f3e;
}
.alhiab-noti-item-wrapper:nth-child(even) {
    background: #f9f8f8;
}
.alhiab-noti-item-wrapper {
    padding: 7px 8px;
    border-bottom: 1px dashed #ddd;
}


.alhisab-noti-action-box {
    text-align: center;
    padding: 10px;
}

.alhisab-noti-action-box a {
    background: #9E9E9E;
    padding: 4px 20px;
    border-radius: 5px;
    color: #fff;
    font-weight: 500;
    font-size: 12px;
}
.alhisab-noti-action-box a:hover{
    background: #f44336;
    color: #fff;
}

.noti-expire {
    color: #F44336;
    margin-bottom: 0;
    font-size: 12px;
    font-weight: 500;
    text-align: end;
    line-height: 1.2;
}
.noti-total-avail {
    color: #000000;
    margin-bottom: 0;
    font-size: 12px;
    font-weight: 300;
    text-align: center;
    line-height: 1.4;
    padding: 0;
    border-radius: 5px;
}
.noti-total-avail span {
    color: #119b16;
    font-weight: 600;
}




@media only screen and (max-width: 1400px) {
  .notification-dropdown-box {
    position: absolute;
    top: 50px !important;
  }
}
@media only screen and (max-width: 767px) {
    .notification-dropdown-box{
        max-width: 400px;
        width: 360px;
    }
    .noti-custom-tab .tab_label {
      flex-basis: 33%;
      border-radius: 5px;
      padding: 3px 3px;
      font-size: 11px !important;
  }
}
